package com.example.demo;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.DependsOn;

@Configuration
public class ClassroomConfig {

    // Below is an example of Bean injection by Qualifiers.
    @Bean(name = "currentCohort")
    @DependsOn({"instructors", "currentStudents"})
    public Classroom currentCohort(@Qualifier("instructors") Instructors i, @Qualifier("currentStudents") Students s){
        return new Classroom(i,s);
    }

    @Bean(name = "previousCohort")
    @DependsOn({"instructors","previousStudents"})
    public Classroom previousCohort(@Qualifier("instructors") Instructors i, @Qualifier("previousStudents") Students s){
        return new Classroom(i,s);
    }

}
